/* OGMRip - A library for DVD ripping and encoding
 * Copyright (C) 2004-2007 Olivier Rolland <billl@users.sf.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __OGMRIP_LAVC_MPEG1_H__
#define __OGMRIP_LAVC_MPEG1_H__

#include <ogmrip-lavc.h>

G_BEGIN_DECLS

#define OGMRIP_TYPE_LAVC_MPEG1           (ogmrip_lavc_mpeg1_get_type ())
#define OGMRIP_LAVC_MPEG1(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), OGMRIP_TYPE_LAVC_MPEG1, OGMRipLavcMpeg1))
#define OGMRIP_LAVC_MPEG1_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST ((klass), OGMRIP_TYPE_LAVC_MPEG1, OGMRipLavcMpeg1Class))
#define OGMRIP_IS_LAVC_MPEG1(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OGMRIP_TYPE_LAVC_MPEG1))
#define OGMRIP_IS_LAVC_MPEG1_CLASS(obj)  (G_TYPE_CHECK_CLASS_TYPE ((klass), OGMRIP_TYPE_LAVC_MPEG1))
#define OGMRIP_LAVC_MPEG1_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), OGMRIP_TYPE_LAVC_MPEG1, OGMRipLavcMpeg1Class))

typedef struct _OGMRipLavcMpeg1      OGMRipLavcMpeg1;
typedef struct _OGMRipLavcMpeg1Class OGMRipLavcMpeg1Class;

struct _OGMRipLavcMpeg1
{
  OGMRipLavc parent_instance;
};

struct _OGMRipLavcMpeg1Class
{
  OGMRipLavcClass parent_class;
};

GType         ogmrip_lavc_mpeg1_get_type (void);
OGMJobSpawn * ogmrip_lavc_mpeg1_new      (OGMDvdTitle *title,
                                          const gchar *output);

G_END_DECLS

#endif /* __OGMRIP_LAVC_MPEG1_H__ */

